Bug 1292960 - StorageError: DeviceFormat.majorminor: can not get majorminor for '/dev/mapper/vg1-snap'
StorageError: DeviceFormat.majorminor: can not get majorminor for '/dev/mappe...
Status: NEW
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
6.6
i686 Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Anaconda Maintenance Team
Release Test Team
abrt_hash:b5726c6fcb3b5e55870986423bd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-18 16:02 EST by Mikulas Patocka
Modified: 2017-03-23 15:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: environ (1014 bytes, text/plain)
2015-12-18 16:02 EST, Mikulas Patocka
no flags Details
File: type (9 bytes, text/plain)
2015-12-18 16:02 EST, Mikulas Patocka
no flags Details
File: exnFileName (23 bytes, text/plain)
2015-12-18 16:02 EST, Mikulas Patocka
no flags Details
File: anaconda-tb-z49qoH (1.41 MB, text/plain)
2015-12-18 16:02 EST, Mikulas Patocka
no flags Details
File: product (24 bytes, text/plain)
2015-12-18 16:02 EST, Mikulas Patocka
no flags Details
File: last_occurrence (10 bytes, text/plain)
2015-12-18 16:02 EST, Mikulas Patocka
no flags Details
File: hashmarkername (8 bytes, text/plain)
2015-12-18 16:02 EST, Mikulas Patocka
no flags Details
File: version (3 bytes, text/plain)
2015-12-18 16:02 EST, Mikulas Patocka
no flags Details
File: release (24 bytes, text/plain)
2015-12-18 16:02 EST, Mikulas Patocka
no flags Details
ABRT report when using vmlinuz, initrd and repository from RHEL 6.6 (145.87 KB, application/x-gzip)
2016-01-05 12:55 EST, Mikulas Patocka
no flags Details

  None (edit)
Description Mikulas Patocka 2015-12-18 16:02:11 EST
Version-Release number of selected component:
anaconda-13.21.229

Additional info:
libreport version: 2.0.9
cmdline:        /usr/bin/python  /usr/bin/anaconda
kernel:         2.6.32-573.el6.i686

description:
:The following was filed automatically by anaconda:
:anaconda 13.21.229 exception report
:Traceback (most recent call first):
:  File "/usr/lib/anaconda/storage/formats/__init__.py", line 439, in majorminor
:    "can not get majorminor for '%s'" % device)
:  File "/usr/lib/anaconda/storage/devices.py", line 1934, in writeKS
:    pvs.append("pv.%s" % pv.format.majorminor)
:  File "/usr/lib/anaconda/storage/__init__.py", line 1233, in writeKS
:    device.writeKS(f, preexisting=preexisting, noformat=noformat)
:  File "/usr/lib/anaconda/instdata.py", line 294, in writeKS
:    self.storage.writeKS(f)
:  File "/usr/lib/anaconda/packages.py", line 66, in writeKSConfiguration
:    anaconda.id.writeKS(fn)
:  File "/usr/lib/anaconda/dispatch.py", line 210, in moveStep
:    rc = stepFunc(self.anaconda)
:  File "/usr/lib/anaconda/dispatch.py", line 126, in gotoNext
:    self.moveStep()
:  File "/usr/lib/anaconda/gui.py", line 1370, in nextClicked
:    self.anaconda.dispatch.gotoNext()
:  File "/usr/lib/anaconda/iw/progress_gui.py", line 79, in renderCallback
:    self.intf.icw.nextClicked()
:  File "/usr/lib/anaconda/gui.py", line 1391, in handleRenderCallback
:    self.currentWindow.renderCallback()
:StorageError: DeviceFormat.majorminor: can not get majorminor for '/dev/mapper/vg1-snap'
Comment 1 Mikulas Patocka 2015-12-18 16:02:15 EST
Created attachment 1107414 [details]
File: environ
Comment 2 Mikulas Patocka 2015-12-18 16:02:17 EST
Created attachment 1107415 [details]
File: type
Comment 3 Mikulas Patocka 2015-12-18 16:02:18 EST
Created attachment 1107416 [details]
File: exnFileName
Comment 4 Mikulas Patocka 2015-12-18 16:02:46 EST
Created attachment 1107417 [details]
File: anaconda-tb-z49qoH
Comment 5 Mikulas Patocka 2015-12-18 16:02:47 EST
Created attachment 1107418 [details]
File: product
Comment 6 Mikulas Patocka 2015-12-18 16:02:49 EST
Created attachment 1107419 [details]
File: last_occurrence
Comment 7 Mikulas Patocka 2015-12-18 16:02:50 EST
Created attachment 1107420 [details]
File: hashmarkername
Comment 8 Mikulas Patocka 2015-12-18 16:02:52 EST
Created attachment 1107421 [details]
File: version
Comment 9 Mikulas Patocka 2015-12-18 16:02:54 EST
Created attachment 1107423 [details]
File: release
Comment 11 Brian Lane 2015-12-21 17:42:37 EST
Are you sure your initrd+kernel and the repo match? The bug is set to 6.7, but the anaconda version and the repo is from 6.6 and the logs have this:

18:25:50,603 INFO    : Running... ['modprobe', 'xfs']
18:25:50,608 ERROR   : FATAL: Module xfs not found.

which usually means the kernel and the modules in install.img are not from matching versions. The install.img will be loaded from the repo unless stage2= is also set.
Comment 12 Mikulas Patocka 2016-01-05 12:53:19 EST
I used vmlinuz and initrd.img from RHEL 6.7 and by mistake I passed it repo argument that points to RHEL 6.6 repository.

But when I used vmlinuz and initrd.img from RHEL 6.6 and repository from RHEL 6.6, the same bug happens, so it is not caused by mismatch between kernel and repository.

When I used vmlinuz, initrd.img and repository from RHEL 6.7, anaconda crashed very early with a different bug (see bug 1295897), so I don't know if this bug is present in 6.7 or not.
Comment 13 Mikulas Patocka 2016-01-05 12:55 EST
Created attachment 1111920 [details]
ABRT report when using vmlinuz, initrd and repository from RHEL 6.6

This is the same bug report, when installing RHEL 6.6
Comment 14 Mikulas Patocka 2016-01-05 13:07:08 EST
This is the list of physical volumes, volume groups and logical volumes that are present on the machine - that is probably causing the crash:
  PV            VG     Fmt  Attr PSize   PFree
  /dev/sdb5     vg1    lvm2 a--    9,32g 5,79g
  /dev/vg1/orig Vg_org lvm2 a--  124,00m    0
  /dev/vg1/snap Vg_cow lvm2 a--  124,00m    0
  VG     #PV #LV #SN Attr   VSize   VFree
  Vg_cow   1   1   0 wz--n- 124,00m    0
  Vg_org   1   1   0 wz--n- 124,00m    0
  vg1      1   8   1 wz--n-   9,32g 5,79g
  LV       VG     Attr       LSize   Pool Origin Data%  Meta%  Move Log Cpy%Sync Convert
  Lv_cow   Vg_cow -wi------- 124,00m
  Lv_org   Vg_org -wi------- 124,00m
  o        vg1    owi-a-s--- 128,00m
  orig     vg1    -wi-a----- 128,00m
  s1       vg1    swi-a-s--- 128,00m      o      0,00
  snap     vg1    -wi-a----- 128,00m
  stripe   vg1    -wa-a-----  32,00m
  switch-0 vg1    -wi-a-----   1,00g
  switch-1 vg1    -wi-a-----   1,00g
  switch-2 vg1    -wi-a-----   1,00g
Comment 15 Brian Lane 2016-01-05 13:37:33 EST
I just realized that we don't support XFS on i686 systems:

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/6/html/Storage_Administration_Guide/installconfig-fs.html

It would be nice if we didn't crash, but if you want to use xfs you need to use the x86_64 installer.
Comment 16 Brian Lane 2016-01-05 14:13:29 EST
Ok, now I see what's actually happening, it isn't  related to the xfs modprobe errors. When anaconda writes out the final kickstart it is trying to include all the pvs, etc. even ones that were not used as part of the installation. Since it isn't active it can't get the major/minor and fails.

The fix is to exclude things from the kickstart if they are not used for the installation.
Comment 17 Mikulas Patocka 2016-01-05 14:45:17 EST
Regarding XFS - there is RHEL-7 XFS installation on that machine, but I didn't attempt to use XFS (or mount it) during RHEL 6.6 installation.

Note You need to log in before you can comment on or make changes to this bug.